<?php
session_start();

define('DB_HOST', 'localhost');
define('DB_USER', 'izmirrss_sms');
define('DB_PASS', 'Sms.1q2w3e4r5t');
define('DB_NAME', 'izmirrss_sms');

// SMS API Bilgileri (NetGSM)
define('SMS_USER', '2323323427');
define('SMS_PASS', 'api.1q2w3e4r5t');
define('SMS_HEADER', 'YasinCoskun');

$conn = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
$conn->set_charset("utf8mb4");

if ($conn->connect_error) {
    die("Veritabanı bağlantı hatası: " . $conn->connect_error);
}

function cleanInput($data) {
    global $conn;
    return $conn->real_escape_string(trim($data));
}

function sendSMS($phone, $message) {
    // NetGSM SMS gönderme fonksiyonu
    $username = SMS_USER;
    $password = SMS_PASS;
    $header = SMS_HEADER;
    
    // Türkçe karakter dönüşümü
    $tr = array('ı','İ','ğ','Ğ','ü','Ü','ş','Ş','ö','Ö','ç','Ç');
    $en = array('i','I','g','G','u','U','s','S','o','O','c','C');
    $message = str_replace($tr, $en, $message);
    
    // Telefon numarasını NetGSM formatına çevir (başında 0 olmadan)
    $phone = ltrim($phone, '0');
    
    // API URL'ini oluştur
    $url = "https://api.netgsm.com.tr/sms/send/get";
    $params = array(
        'usercode' => $username,
        'password' => $password,
        'gsmno' => $phone,
        'message' => $message,
        'msgheader' => $header,
        'dil' => 'TR'
    );
    
    // cURL ile istek gönder
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url . '?' . http_build_query($params));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    
    // Yanıt kodlarını kontrol et
    if ($httpCode == 200) {
        $responseCode = explode(" ", $response)[0];
        switch ($responseCode) {
            case '00':
            case '01':
            case '02':
                return true;
            default:
                error_log("NetGSM SMS Error: " . $response);
                return false;
        }
    }
    
    error_log("NetGSM HTTP Error: " . $httpCode);
    return false;
}
