<?php
require_once '../config.php';

if (!isset($_SESSION['admin_logged_in'])) {
    header('Location: login.php');
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = (int)$_POST['id'];
    $fullName = cleanInput($_POST['fullName']);
    $phone = cleanInput($_POST['phone']);
    $school = (int)$_POST['school'];
    $classLevel = cleanInput($_POST['classLevel']);
    
    $stmt = $conn->prepare("UPDATE applications SET full_name = ?, phone = ?, school_id = ?, class_level = ? WHERE id = ?");
    $stmt->bind_param("ssisi", $fullName, $phone, $school, $classLevel, $id);
    
    if ($stmt->execute()) {
        echo json_encode(['status' => 'success']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Güncelleme başarısız']);
    }
}
